Bug 1196904 - RDMA mount fails for unprivileged user without cap_net_bind_service
RDMA mount fails for unprivileged user without cap_net_bind_service
Status: CLOSED NEXTRELEASE
Product: GlusterFS
Classification: Community
Component: rdma (Show other bugs)
3.6.2
All Linux
unspecified Severity low
: ---
: ---
Assigned To: bugs@gluster.org
: Patch, Triaged
Depends On: 1195907
Blocks:
  Show dependency treegraph
 
Reported: 2015-02-26 19:12 EST by Mark
Modified: 2016-08-23 09:03 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1195907
Environment:
Last Closed: 2016-08-23 09:03:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark 2015-02-26 19:12:09 EST
+++ This bug was initially created as a clone of Bug #1195907 +++

Description of problem:

When an unprivileged user (one without cap_net_bind_service capability) tries to connect to a volume using RDMA transport (tested using libgfapi) the client hangs trying to bind a privileged port.

This happenes because when failing to bind a privileged port because of EACCES, rdma_bind_addr is never called on the fall-through unprivileged port.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Use libgfapi to mount a volume as an unprivileged user using rdma transport.


Actual results:
Hang trying to bind local port.


Expected results:
Successfully mount the volume.


Additional info:
This bug is to backport the patch applied to master to the stable release.
Comment 1 Niels de Vos 2015-03-03 07:33:16 EST
Backport request for http://review.gluster.org/9737
Comment 2 Mohammed Rafi KC 2016-08-23 09:03:47 EDT
This bug is being closed as GlusterFS-3.6 is nearing its End-Of-Life and only important security bugs will be fixed. This bug has been fixed in more recent GlusterFS releases. If you still face this bug with the newer GlusterFS versions, please open a new bug

Note You need to log in before you can comment on or make changes to this bug.